Subject: Re: [for-next v3 0/5] ionic: RDMA completion timestamping support

From: Jakub Kicinski <[email-masked]>
Date: Mon, 8 Jun 2026 14:20:47 -0700

On Sat, 6 Jun 2026 10:29:58 +0530 Abhijit Gangurde wrote:
> This series adds RDMA completion timestamp support for ionic.
> 
> It enables PHC registration for RDMA timestamp capability, exposes a PHC
> state page for safe user-space reads, maps that PHC state through RDMA
> ucontext mmap, and extends the RDMA CQE format to carry completion
> timestamps.
> 
> With this, user space can read completion timestamps and convert them to
> wall time with low overhead.

please CC David Woodhouse <[email-masked]> on future versions.
Since David is working on uAPI for clocks he may have some thoughts.